﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{FAFCE2BB-0412-4333-A0F6-1FDD0D3485D5}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>shyft.energy_market.stm</RootNamespace>
  </PropertyGroup>
  <Choose>
    <!-- MSVS 2015 -->
    <When Condition=" '$(VisualStudioVersion)'=='14.0' ">
      <PropertyGroup>
        <PlatformToolset>v140</PlatformToolset>
        <WindowsTargetPlatformVersion>8.1</WindowsTargetPlatformVersion>
      </PropertyGroup>
    </When>
    <!-- MSVS 2017 -->
    <When Condition=" '$(VisualStudioVersion)'=='15.0' ">
      <PropertyGroup>
        <PlatformToolset>v141</PlatformToolset>
        <WindowsTargetPlatformVersion>10.0.18362.0</WindowsTargetPlatformVersion>
      </PropertyGroup>
    </When>
  </Choose>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets">
    <Import Project="$(MSBuildThisFileDirectory)\PropertySheet.Shop.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <IncludePath>$(VC_IncludePath);$(WindowsSDK_IncludePath);$(SHYFT_DEPENDENCIES)\include;$(SHYFT_DEPENDENCIES)\include\boost-$(SHYFT_BOOST_VERSION);$(BOOST_PYTHONHOME)\Include;$(BOOST_PYTHONHOME)\Lib\site-packages\numpy\core\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(VC_LibraryPath_x64);$(WindowsSDK_LibraryPath_x64);$(NETFXKitsDir)Lib\um\x64;$(SHYFT_DEPENDENCIES)\lib;$(BOOST_PYTHONHOME)\libs;$(LibraryPath)</LibraryPath>
    <OutDir>$(SolutionDir)statkraft\energy_market\ui\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\$(ProjectName)\</IntDir>
    <TargetName>_ui</TargetName>
    <TargetExt>.pyd</TargetExt>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <IncludePath>$(VC_IncludePath);$(WindowsSDK_IncludePath);$(SHYFT_DEPENDENCIES)\include;$(SHYFT_DEPENDENCIES)\include\boost-$(SHYFT_BOOST_VERSION);$(BOOST_PYTHONHOME)\Include;$(BOOST_PYTHONHOME)\Lib\site-packages\numpy\core\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(VC_LibraryPath_x64);$(WindowsSDK_LibraryPath_x64);$(NETFXKitsDir)Lib\um\x64;$(SHYFT_DEPENDENCIES)\lib;$(BOOST_PYTHONHOME)\libs;$(LibraryPath)</LibraryPath>
    <OutDir>$(SolutionDir)shyft\energy_market\ui\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\$(ProjectName)\</IntDir>
    <TargetName>_ui</TargetName>
    <TargetExt>.pyd</TargetExt>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>NOMINMAX;WIN32_LEAN_AND_MEAN;BOOST_BEAST_SEPARATE_COMPILATION;_CRT_SECURE_NO_WARNINGS;ARMA_DONT_USE_WRAPPER;ARMA_USE_LAPACK;ARMA_USE_BLAS;_SILENCE_ALL_CXX17_DEPRECATION_WARNINGS;BOOST_CONFIG_SUPPRESS_OUTDATED_MESSAGE;BOOST_VARIANT_MINIMIZE_SIZE;BOOST_MPL_CFG_NO_PREPROCESSED_HEADERS;BOOST_MPL_LIMIT_LIST_SIZE=30;BOOST_MPL_LIMIT_VECTOR_SIZE=30;XSHYFT_NO_PCH;ARMA_DONT_PRINT_CXX11_WARNING;ARMA_DONT_PRINT_ERRORS;ARMA_USE_CXX11;BOOST_LIB_DIAGNOSTIC=1;BOOST_ALL_DYN_LINK=1;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>../../cpp;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AdditionalOptions>/bigobj %(AdditionalOptions)</AdditionalOptions>
      <LanguageStandard>stdcpp17</LanguageStandard>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <LinkTimeCodeGeneration>Default</LinkTimeCodeGeneration>
      <AdditionalDependencies>libcrypto.lib;libssl.lib;dlib$(SHYFT_DLIB_VERSION).0_$(Configuration)_64bit_msvc$(SHYFT_DLIB_MSC_VERSION).lib;blas_win64_MT.lib;lapack_win64_MT.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <PostBuildEvent>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Custom</Optimization>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>NOMINMAX;WIN32_LEAN_AND_MEAN;BOOST_BEAST_SEPARATE_COMPILATION;_CRT_SECURE_NO_WARNINGS;ARMA_DONT_USE_WRAPPER;ARMA_USE_LAPACK;ARMA_USE_BLAS;_SILENCE_ALL_CXX17_DEPRECATION_WARNINGS;BOOST_CONFIG_SUPPRESS_OUTDATED_MESSAGE;BOOST_VARIANT_MINIMIZE_SIZE;BOOST_MPL_CFG_NO_PREPROCESSED_HEADERS;BOOST_MPL_LIMIT_LIST_SIZE=30;BOOST_MPL_LIMIT_VECTOR_SIZE=30;XSHYFT_NO_PCH;ARMA_DONT_PRINT_CXX11_WARNING;ARMA_DONT_PRINT_ERRORS;ARMA_USE_CXX11;BOOST_LIB_DIAGNOSTIC=0;BOOST_ALL_DYN_LINK=1;_WINDOWS;NDEBUG;_WINDOWS;_USRDLL;BOOST_PYTHON_API_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>../../cpp;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AdditionalOptions>/bigobj %(AdditionalOptions)</AdditionalOptions>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <LanguageStandard>stdcpp17</LanguageStandard>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <LinkTimeCodeGeneration>Default</LinkTimeCodeGeneration>
      <AdditionalDependencies>libcrypto.lib;libssl.lib;dlib$(SHYFT_DLIB_VERSION).0_$(Configuration)_64bit_msvc$(SHYFT_DLIB_MSC_VERSION).lib;blas_win64_MT.lib;lapack_win64_MT.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <PostBuildEvent>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="../../cpp/shyft/py/energy_market/ui/ui_api.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="core.vcxproj">
      <Project>{abcfdaa1-0000-0000-0000-000000000000}</Project>
    </ProjectReference>
    <ProjectReference Include="em_core.vcxproj">
      <Project>{ef2ea2ac-39c5-4aff-bdf1-7d55f190c5ae}</Project>
    </ProjectReference>
    <ProjectReference Include="em_stm.vcxproj">
      <Project>{888385fc-7c24-4454-af41-77f838ea0e27}</Project>
    </ProjectReference>
    <ProjectReference Include="em_ui.vcxproj">
      <Project>{888aa5fc-7c24-4454-af41-77f8ffea0e27}</Project>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>